import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/bubble',
      name: 'bubble',
      component: () => import('../views/BubbleView.vue')
    },
    {
      path: '/insertion',
      name: 'insertion',
      component: () => import('../views/InsertionView.vue')
    },
    {
      path: '/selection',
      name: 'selection',
      component: () => import('../views/SelectionView.vue')
    }
  ]
})

export default router
